<?php  

/* Filter Product */
function mipro_filter_product_by_product_type( &$args = array(), $product_type = 'recent' ){
	switch( $product_type ){
		case 'sale':
		$args['post__in'] = array_merge( array( 0 ), wc_get_product_ids_on_sale() );
		break;
		case 'featured':
		$args['tax_query'][] = array(
			'taxonomy' => 'product_visibility',
			'field'    => 'name',
			'terms'    => 'featured',
			'operator' => 'IN',
		);
		break;
		case 'best_selling':
		$args['meta_key'] 	= 'total_sales';
		$args['orderby'] 	= 'meta_value_num';
		$args['order'] 		= 'desc';
		break;
		case 'top_rated':
		$args['meta_key'] = '_wc_average_rating';
		$args['orderby'] = 'meta_value_num';
		$args['order'] = 'DESC';			
		break;
		case 'mixed_order':
		$args['orderby'] 	= 'rand';
		break;
		default: /* Recent */
		$args['orderby'] 	= 'date';
		$args['order'] 		= 'desc';
		break;
	}
}


/*** Social Sharing ***/
if( !function_exists('mipro_template_social_sharing') ){
	function mipro_template_social_sharing(){
		?>
		<ul class="social-sharing">

			<li class="facebook">
				<a href="https://www.facebook.com/sharer.php?u=<?php echo esc_url(get_permalink()); ?>" target="_blank"><i class="fa fa-facebook"></i><?php esc_html_e('Facebook', 'mipro-core'); ?></a>
			</li>

			<li class="twitter">
				<a href="https://twitter.com/home?status=<?php echo esc_url(get_permalink()); ?>" target="_blank"><i class="fa fa-twitter"></i><?php esc_html_e('Twitter', 'mipro-core'); ?></a>
			</li>

			<li class="pinterest">
				<?php $image_link  = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
				<a href="https://pinterest.com/pin/create/button/?url=<?php echo esc_url(get_permalink()); ?>&amp;media=<?php echo esc_url($image_link); ?>" target="_blank"><i class="fa fa-pinterest"></i><?php esc_html_e('Pinterest', 'mipro-core'); ?></a>
			</li>

			<li class="google-plus">
				<a href="https://plus.google.com/share?url=<?php echo esc_url(get_permalink()); ?>" target="_blank"><i class="fa fa-google-plus"></i><?php esc_html_e('Google Plus', 'mipro-core'); ?></a>
			</li>

			<li class="linkedin">
				<a href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url(get_permalink()); ?>&amp;title=<?php echo esc_attr(sanitize_title(get_the_title())); ?>" target="_blank"><i class="fa fa-linkedin"></i><?php esc_html_e('Linkedin', 'mipro-core'); ?></a>
			</li>

			<li class="reddit">
				<a href="http://www.reddit.com/submit?url=<?php echo esc_url(get_permalink()); ?>&amp;title=<?php echo esc_attr(sanitize_title(get_the_title())); ?>" target="_blank"><i class="fa fa-reddit"></i><?php esc_html_e('Reddit', 'mipro-core'); ?></a>
			</li>

		</ul>
		<?php
	}
}/*** Social Sharing v2***/
if( !function_exists('mipro_template_social_sharing_blog') ){
	function mipro_template_social_sharing_blog(){
		?>
		<ul class="social-sharing-blog">

			<li class="facebook kft-tooltip">
				<a href="https://www.facebook.com/sharer.php?u=<?php echo esc_url(get_permalink()); ?>" target="_blank"><i class="icon-social-facebook"></i><?php esc_html_e('Facebook', 'mipro-core'); ?></a>
			</li>

			<li class="twitter kft-tooltip">
				<a href="https://twitter.com/home?status=<?php echo esc_url(get_permalink()); ?>" target="_blank"><i class="icon-social-twitter"></i><?php esc_html_e('Twitter', 'mipro-core'); ?></a>
			</li>

			<li class="reddit kft-tooltip">
				<a href="http://www.reddit.com/submit?url=<?php echo esc_url(get_permalink()); ?>&amp;title=<?php echo esc_attr(sanitize_title(get_the_title())); ?>" target="_blank"><i class="icon-social-reddit"></i><?php esc_html_e('Reddit', 'mipro-core'); ?></a>
			</li>

			<li class="linkedin kft-tooltip">
				<a href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url(get_permalink()); ?>&amp;title=<?php echo esc_attr(sanitize_title(get_the_title())); ?>" target="_blank"><i class="icon-social-linkedin"></i><?php esc_html_e('Linkedin', 'mipro-core'); ?></a>
			</li>


		</ul>
		<?php
	}
}

/*** Social Network ***/
if( !function_exists('mipro_template_social_network') ){
	function mipro_template_social_network(){
		if( !function_exists('mipro_get_opt')){
			return;
		}
		?>
		<ul class="social-sharing">
			<!-- net -->
			<?php if( mipro_get_opt('facebook_link') != '' ): ?>
				<li class="facebook">
					<a href="<?php echo esc_url(mipro_get_opt('facebook_link')); ?>" target="_blank"><i class="fa fa-facebook"></i><?php esc_html_e('Facebook', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('twitter_link') != '' ): ?>
				<li class="twitter">
					<a href="<?php echo esc_url(mipro_get_opt('twitter_link')); ?>" target="_blank"><i class="fa fa-twitter"></i><?php esc_html_e('Twitter', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('instagram_link') != '' ): ?>
				<li class="instagram">
					<a href="<?php echo esc_url(mipro_get_opt('instagram_link')); ?>" target="_blank"><i class="fa fa-instagram"></i><?php esc_html_e('Instagram', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('pinterest_link') != '' ): ?>
				<li class="pinterest">
					<a href="<?php echo esc_url(mipro_get_opt('pinterest_link')); ?>" target="_blank"><i class="fa fa-pinterest"></i><?php esc_html_e('Pinterest', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('google_link') != '' ): ?>
				<li class="google-plus">
					<a href="<?php echo esc_url(mipro_get_opt('google_link')); ?>" target="_blank"><i class="fa fa-google-plus"></i><?php esc_html_e('Google Plus', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('youtube_link') != '' ): ?>
				<li class="youtube">
					<a href="<?php echo esc_url(mipro_get_opt('youtube_link')); ?>" target="_blank"><i class="fa fa-youtube"></i><?php esc_html_e('Youtube', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('linkedin_link') != '' ): ?>
				<li class="linkedin">
					<a href="<?php echo esc_url(mipro_get_opt('linkedin_link')); ?>" target="_blank"><i class="fa fa-linkedin"></i><?php esc_html_e('Linkedin', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

			<?php if( mipro_get_opt('reddit_link') != '' ): ?>
				<li class="reddit">
					<a href="<?php echo esc_url(mipro_get_opt('reddit_link')); ?>" target="_blank"><i class="fa fa-reddit"></i><?php esc_html_e('Reddit', 'mipro-core'); ?></a>
				</li>
			<?php endif; ?>

		</ul>
		<?php
	}
}

//Remove Calc Image on Single Product
add_action('wp', 'mipro_remove_calc_images');
function mipro_remove_calc_images() {
	if ( is_singular('product') ) {
		add_filter('wp_calculate_image_sizes', '__return_false', 9999);
		add_filter('wp_calculate_image_srcset', '__return_false', 9999);
		remove_filter('the_content', 'wp_make_content_images_responsive');
	}
}

// Remove Redux Demo Link
function mipro_removeDemoModeLink() {
	if ( class_exists('ReduxFrameworkPlugin') ) {
		remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
	}
	if ( class_exists('ReduxFrameworkPlugin') ) {
		remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );
	}
}
add_action('init', 'mipro_removeDemoModeLink');

// Enable Custom Post type on KingComposer
add_action('init', 'mipro_enable_post_type', 99 );
function mipro_enable_post_type() {
	if (class_exists('KingComposer')) {
		global $kc;
	$kc->add_content_type( 'kft_footer' );
	}
	
}

//Remove the custom options provided by the default twentyeleven theme.     
add_action( 'after_setup_theme','mipro_remove_custom_options', 100 );
function mipro_remove_custom_options() {    
	remove_theme_support( 'custom-background' );
	remove_theme_support( 'custom-header' );
}

// Lazy Load Images
function mipro_add_lazy_load_attrs() {
	if ( function_exists('mipro_lazy_loading') ) {
		add_filter( 'wp_get_attachment_image_attributes', 'mipro_lazy_loading', 10, 3 );
	}
}

function mipro_remove_lazy_load_attrs() {
	if ( function_exists('mipro_lazy_loading') ) {
		remove_filter( 'wp_get_attachment_image_attributes', 'mipro_lazy_loading', 10 );
	}
}

function mipro_get_instagram_feed( $number = 6 ) {
	$access_token = mipro_get_opt( 'instagram_access_token' );
	$transient    = 'mipro-instagram-photo-' . $access_token . '-' . $number;
	$instagram    = get_transient( $transient );

	if ( false === $instagram && $access_token ) {
		$response = wp_remote_get( 'https://api.instagram.com/v1/users/self/media/recent/?access_token=' . $access_token . '&count=' . $number, array( 'sslverify' => false ) );

		if ( is_wp_error( $response ) ) {
			$error_string = $response->get_error_message();
			echo esc_html( $error_string );
			return;
		}

		$body = json_decode( wp_remote_retrieve_body( $response ) );
		if ( isset( $body->meta->error_message ) ) {
			echo esc_html( $body->meta->error_message );
			return;
		}

		$instagram = array();
		if ( $body->data ) {
			foreach ( $body->data as $item ) {
				$instagram[] = array(
					'link'      => $item->link,
					'image_url' => $item->images->standard_resolution->url,
					'likes'     => $item->likes->count,
					'comments'  => $item->comments->count,
					'caption'   => $item->caption ? $item->caption->text : '',
				);
			}
		}

		$instagram = serialize( $instagram );
		set_transient( $transient, $instagram, HOUR_IN_SECONDS );
	}
	$instagram = unserialize( $instagram );

	return $instagram;
}


?>